from dns.resolver import query
from dns.exception import DNSException


# input: dns name and optional the type of the record and return all the answered data in a list or in case of exception
# an empty list
def get_mx(dns_name, type="MX"):
    try:
        answers = query(dns_name, type)
    except DNSException:
        return []
    ret = []
    for a in answers:
        element = (str(a.preference), str(a.exchange))
        ret.append(element)

    return ret


